Main Page Widgets Namespaces Book

# Gdk::RgbCmap Class Reference

List of all members.

## Public Member Functions

const GdkRgbCmap* | gobj () const
| Provides access to the underlying C GObject.
GdkRgbCmap* | gobj ()
| Provides access to the underlying C GObject.
const guint32& | operator[] (unsigned long index) const
| Access the colors.
guint32& | operator[] (unsigned long index)
| Access the colors.
| RgbCmap (const Glib::ArrayHandle<guint32>& colors)
unsigned long | size () const
| Number of colors.
virtual | ~RgbCmap ()

## Protected Attributes

GdkRgbCmap* | gobject_

## Constructor & Destructor Documentation

Gdk::RgbCmap::RgbCmap | ( | const Glib::ArrayHandle< guint32 > & | colors | ) | `[explicit]`

virtual Gdk::RgbCmap::~RgbCmap | ( |  | ) | `[virtual]`

## Member Function Documentation

const GdkRgbCmap* Gdk::RgbCmap::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

References gobject_.

GdkRgbCmap* Gdk::RgbCmap::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

References gobject_.

const guint32& Gdk::RgbCmap::operator[] | ( | unsigned long | index | ) | const

Access the colors.

guint32& Gdk::RgbCmap::operator[] | ( | unsigned long | index | ) |

Access the colors.

unsigned long Gdk::RgbCmap::size | ( |  | ) | const

Number of colors.

## Member Data Documentation

GdkRgbCmap* Gdk::RgbCmap::gobject_ `[protected]`

Referenced by gobj().

The documentation for this class was generated from the following file:

- rgbcmap.h